export declare class Config {
    static DEFAULT_VERSIONS: {};
    /**
      * 获取默认租户
      * @returns
      */
    static getDefaultTenant(): string;
    /**
     * 获取默认命名空间
     * @returns
     */
    static getDefaultNamespace(): string;
    /**
     * 获取pular主地址
     * @returns
     */
    static getMasterPulsarUrl(): string;
    /**
   * 获取pular备地址
   * @returns
   */
    static getSlavePulsarUrl(): string;
    /**
     * 获取订阅id
     */
    static getSubscriptionId(): string;
    /**
     * 获取默认版本
     * @returns
     */
    static getDefaultVersions(): {};
    /**
     * 设置默认版本
     * @param defaultVersions
     */
    static setDefaultVersions(defaultVersions: any): void;
    /**
     * 获取当前部署的主版本号
     * @returns
     */
    static getProjectMajorVersion(): string;
    /**
   * 获取当前部署的revsion版本号
   * @returns
   */
    static getProjectVersion(): string;
    /***************redis配置 start***************/
    /**
     * 获取事件redis锁host
     */
    static getRedisLockHost(): string;
    /**
     * 获取事件redis锁port
     */
    static getRedisLockPort(): number;
    /**
     * 获取事件redis锁password
     */
    static getRedisLockPassword(): string;
    /**
     * 获取事件redis锁database
     */
    static getRedisLockDatabase(): number;
    /***************redis配置 end***************/
    /**
    * 获取环境变量，环境变量由从注册中心写入
    * @param key 环境变量名称
    */
    static getEnv(key: any): string;
    /**
     *
     * @param base64String base64解码
     * @returns
     */
    static base64Decode(base64String: any): string;
}
